Debian Bug report logs - #703807
ITP: node-json-stringify-safe -- JSON.stringify that doesn't throw on circular references for Node.js

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Lal <kapouer@melix.org>

Date: Sat, 23 Mar 2013 22:03:02 UTC

Owned by: "Jérémy Lal" <kapouer@melix.org>

Severity: wishlist

Fixed in version node-json-stringify-safe/4.0.0-1

Done: Jérémy Lal <kapouer@melix.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>:
Bug#703807; Package wnpp. (Sat, 23 Mar 2013 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>. (Sat, 23 Mar 2013 22:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-json-stringify-safe -- JSON.stringify that doesn't throw on circular references for Node.js
Date: Sat, 23 Mar 2013 22:59:55 +0100
Package: wnpp
Severity: wishlist
Owner: "Jérémy Lal" <kapouer@melix.org>

* Package name    : node-json-stringify-safe
  Version         : 4.0.0
  Upstream Author : Isaac Z. Schlueter <i@izs.me>
* URL             : https://github.com/isaacs/json-stringify-safe
* License         : BSD-2-clause
  Programming Lang: JavaScript
  Description     : JSON.stringify with circular references module for Node.js

node-json-stringify-safe provides a serializer or a wrapper for
JSON.stringify to be able to customize how to deal with circular
references in the object being serialized, instead of throwing an
exception.
.
Node.js is an event-based server-side javascript engine.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 24 Mar 2013 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Tue, 16 Apr 2013 19:03:40 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Tue, 16 Apr 2013 19:03:40 GMT) Full text and rfc822 format available.

Message #12 received at 703807-close@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 703807-close@bugs.debian.org
Subject: Bug#703807: fixed in node-json-stringify-safe 4.0.0-1
Date: Tue, 16 Apr 2013 19:00:06 +0000
Source: node-json-stringify-safe
Source-Version: 4.0.0-1

We believe that the bug you reported is fixed in the latest version of
node-json-stringify-safe, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703807@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapouer@melix.org> (supplier of updated node-json-stringify-safe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 22 Mar 2013 14:34:30 +0100
Source: node-json-stringify-safe
Binary: node-json-stringify-safe
Architecture: source all
Version: 4.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapouer@melix.org>
Description: 
 node-json-stringify-safe - JSON.stringify with circular references module for Node.js
Closes: 703807
Changes: 
 node-json-stringify-safe (4.0.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #703807)
Checksums-Sha1: 
 61be513a5e415bd21e9e864e3dbbe74555e575f8 2106 node-json-stringify-safe_4.0.0-1.dsc
 6892fea6aeca7ee345c7c56c17dbf3ace2d345f8 2229 node-json-stringify-safe_4.0.0.orig.tar.gz
 a748a08fa21c318c7392ef99c4f84adf825c7fc3 1992 node-json-stringify-safe_4.0.0-1.debian.tar.gz
 94a6a038b1c5a3d57c92b018f0a0fcf3b8b0a4bb 2856 node-json-stringify-safe_4.0.0-1_all.deb
Checksums-Sha256: 
 f74b50c05ad343c1a24666906ae38b88fa533fa9c3ecaadfe0baadf184893521 2106 node-json-stringify-safe_4.0.0-1.dsc
 9bf280542e678c73420f55737fd9a3bb3c1b52f9210419d9ca6e3d47454580ea 2229 node-json-stringify-safe_4.0.0.orig.tar.gz
 066c5c348dab6f950fc3973ed188d67fe9427f90dfa7e14ed0c21abbf6a52c92 1992 node-json-stringify-safe_4.0.0-1.debian.tar.gz
 e7bbdeea2146eb137b924b48c705ebbc3f3eb2460a52e78f95cd7791bc73f737 2856 node-json-stringify-safe_4.0.0-1_all.deb
Files: 
 179c4483a89b17cf46ff9a94a0fea773 2106 web extra node-json-stringify-safe_4.0.0-1.dsc
 77508d659ec713f13bcb27de2fc8c134 2229 web extra node-json-stringify-safe_4.0.0.orig.tar.gz
 ea59a5df2563fd55da9e79e20ddea4f9 1992 web extra node-json-stringify-safe_4.0.0-1.debian.tar.gz
 57a050a2ef3a5c1ff5f2b2482c8144e2 2856 web extra node-json-stringify-safe_4.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRTibdAAoJEGYRwF7dOfN0R54QAJ5SMuH0P9hMFdDB1ixEsqej
3NHZfxqVWIexZat2r7KtTI++cf7r96jzi0n4hiv1hhTFSp0Vn63bJdaugrJRPPxj
LpUE182nEf/2KxB1bio2OUnfDCqHLwmXbv4CjHmqB4BI32EbspTbwnz26qeSJt5f
ZfigQIXl2QaRD0klhYbP9BI4hQCWGf6aM/ExMGl07X1iaaw1JY78cEIeaFxjIqxG
tDOrclMOG67DAzctww1WrYjFq6gujwzaTUBrLKcNHKeve6KWia+SadLi2YsvW36q
wzfwivWDxlH2bcFbeiOyqbt+l3yDcbSUqEQI80Pje+IUiAj9cHO32B4ZAgZd7r4g
cnsatvhl5RYBzJEkWVsRh8wOVAPoHc5l6gWPtWgQIzi3nkSU3QKLCpcutU5Y6cvQ
n0lqeDe4S7KszSnbIyoYDI9Gd07Zae5jB5WFnX3P86P+LgJr8yIwLs1lEDJkguiQ
R5+4HS1VNr6YvHV0N5Dj08YrxfM6Z35j8SL5ARPfaw7MBhT0Y5BooreZx4bEL7MM
tbr05aAxmHg3MMUfQ7U4ZNECFqeaOVr1xMU1SgXMRX22bmVFAyls+fASXZl6YR8x
Iz0or21IoxSaMvgLFv5HVViv/aQjixHdwTxVnp6G9xPH+7hADfIzfrntlaM8SGBH
GMArtCdspSr83sS38Mkw
=KEzp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 May 2013 07:26:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:33:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.